Classes | Functions

# /home/wrdev/miguel/software/wrsw_rtud/rtu_fe.h File Reference

`#include <stdint.h>`
`#include "mac.h"`

Go to the source code of this file.

## Classes
struct | filtering_entry_t
## Functions
void | rtu_fe_copy_data (filtering_entry_t *dst, filtering_entry_t *src)
| copies src filtering entry body into dst filtering entry body
void | rtu_fe_clean (filtering_entry_t *ent)
| Cleans MAC entry from mirror MAC table. All entry fields are reset.

## Function Documentation

void rtu_fe_clean | ( | filtering_entry_t * | ent ) |

Cleans MAC entry from mirror MAC table. All entry fields are reset.

Parameters:

  ent | pointer to entry to clean (either in HCAM or HTAB)

void rtu_fe_copy_data | ( | filtering_entry_t * | dst,
|  | filtering_entry_t * | src
| ) |  |

copies src filtering entry body into dst filtering entry body

All Classes Files Functions Variables Defines